# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.2.0
  hooks:
    - id: trailing-whitespace
    - id: end-of-file-fixer
    - id: check-added-large-files
- repo: https://github.com/standard/standard
  rev: v17.0.0
  hooks:
    - id: standard
      files: '\.mjs'
- repo: https://github.com/awebdeveloper/pre-commit-stylelint
  rev: 0.0.2
  hooks:
    - id: stylelint
      files: '\.scss$'
      additional_dependencies:
        - stylelint@14.8.2
        - stylelint-scss@4.2.0
        - stylelint-config-standard-scss@3.0.0
- repo: https://github.com/pre-commit/mirrors-autopep8
  rev: v1.6.0
  hooks:
    - id: autopep8
- repo: https://github.com/psf/black
  rev: 23.3.0
  hooks:
    - id: black
- repo: https://github.com/PyCQA/flake8
  rev: 4.0.1
  hooks:
    - id: flake8
- repo: https://github.com/PyCQA/isort
  rev: 5.12.0
  hooks:
    - id: isort
- repo: https://github.com/shellcheck-py/shellcheck-py
  rev: v0.8.0.4
  hooks:
    - id: shellcheck
- repo: https://github.com/AleksaC/hadolint-py
  rev: v2.12.0.2
  hooks:
    - id: hadolint
- repo: https://github.com/pocc/pre-commit-hooks
  rev: v1.3.5
  hooks:
    - id: clang-format
- repo: https://github.com/igorshubovych/markdownlint-cli
  rev: v0.39.0
  hooks:
    - id: markdownlint-fix
